// USER API
import HTTP, {getErrorObj} from "./http-fetch";

async function getUser() {
    const response = await HTTP.getData('/users/');
    if(response.ok){
        const userJson = await response.json();
        return {'email': userJson.email, 'name': userJson.first_name, 'surname': userJson.last_name};
    } else {
        throw getErrorObj(response, 'Error on load authenticated user');
    }
}

const UserAPI = { getUser };

export default UserAPI;
