import React from "react";
import { Suspense } from "react";
import { Redirect, Switch } from "react-router";
import { Route } from "react-router-dom";

const Market = React.lazy(() => import('../market/Market'));
const Portfolio = React.lazy(() => import('../portfolio/Portfolio'));
const Strategy = React.lazy(() => import('../strategy/Strategy'));

import "./Navigator.css";

function Navigator() {
    return (
        <div className="app-navigator">
            <Suspense fallback={<div></div>}>
                <Switch>
                    <Route path='/app/market'>
                        <Market/>
                    </Route>
                    <Route path='/app/strategies'>
                        <Strategy/>
                    </Route>
                    <Route path='/app/portfolio'>
                        <Portfolio/>
                    </Route>
                    <Route path='/app/profile'>
                    </Route>
                    <Route path='/app'>
                        <Redirect to='/app/market'/>
                    </Route>
                </Switch>
            </Suspense>
        </div>
    );  
}

export default Navigator;
