import React from "react";
import { CardColumns, Col, Container, Row } from "react-bootstrap";
import { connect } from "react-redux";

import StrategyCard from "./card/StrategyCard";
import StrategySearch from "./search/StrategySearch";


import "./Strategy.css";

function ConnectedStrategy({cards}) {

    return (
        <div className="app-strategy">
            <StrategySearch/>
            { 
                cards.length > 0 ?
                <Container fluid>
                    <Row lg={1} xl={3} className="app-strategy-list">
                        {
                            cards
                            .sort((a, b) => a.full && !b.full)
                            .map((card) => (
                                <Col 
                                    xl={card.full ? 12 : 4}
                                    className="app-strategy-list--col" 
                                    key={card.id}
                                >
                                    <StrategyCard card={card} />
                                </Col>
                        ))}
                    </Row>      
                </Container>
                    :
                <div className="app-strategy-list--empty">
                    <h4>There are no strategies to display</h4>
                </div>
            }
        </div>
    );
};

const mapStateToProps = ({ strategies }) => {
    return {cards: Object.values(strategies.cards)};
}
const Strategy = connect(mapStateToProps)(ConnectedStrategy)

export default Strategy;
