import { ModalType } from "./modal-type.enum";
import { CreateMarketStrategy, DeleteMarketStrategy, UpdateMarketStrategy } from "../state/market/actions/market-strategy.action";
import { CreateStrategy } from "../state/strategy/strategy.action";

export const ModalCatalog = {
    ErrorMessage: (message) => ({
        title: "Oops...",
        props: { message },
        render: ModalType.Message
    }),
    // Strategy
    CreateStrategy: (groups) => ({
        title: "Create a new strategy",
        props: {groups: groups, onSubmit: ({groupId, name}) => CreateStrategy(groupId, name)},
        render: ModalType.Strategy,
    }),
    // Market
    CreateMarketStrategy: (tab) => ({
        title: "Create a new strategy",
        props: {onSubmit: ({name}) => CreateMarketStrategy(tab, name)},
        render: ModalType.Strategy,
    }),
    UpdateMarketStrategy: (tab, strategy) => ({
        title: "Update strategy",
        props: {name: strategy.name, onSubmit: ({name}) => UpdateMarketStrategy(tab, name, null, null)},
        render: ModalType.Strategy,
    }),
    DeleteMarketStrategy: (tab) => ({
        title: "Delete strategy",
        props: {message: "Are you sure?", onSubmit: () => DeleteMarketStrategy(tab)},
        render: ModalType.Confirm,
    }),
}