import { UnWait, Wait } from "../app.action";

const Type = {
    LoadStrategies: 'LOAD_STRATEGIES',
    LoadStrategiesSuccess: 'LOAD_STRATEGIES_SUCCESS',
    LoadStrategiesFailed: 'LOAD_STRATEGIES_FAILED',

    ToggleStrategyCard: 'TOGGLE_STRATEGY_CARD',
    UpdateStrategyCard: 'UPDATE_STRATEGY_CARD',

    CreateStrategy: 'CREATE_STRATEGY',
    UpdateStrategy: 'UPDATE_STRATEGY',
    DeleteStrategy: 'DELETE_STRATEGY',

    LoadStrategy: 'LOAD_STRATEGY',
    LoadStrategySuccess: 'LOAD_STRATEGY_SUCCESS',
    LoadStrategyFailed: 'LOAD_STRATEGY_FAILED',

    ToggleStrategyChart: 'TOGGLE_STRATEGY_CHART',
    LoadStrategyChart: 'LOAD_STRATEGY_CHART',
    LoadStrategyChartSuccess: 'LOAD_STRATEGY_CHART_SUCCESS',
    LoadStrategyChartFailed: 'LOAD_STRATEGY_CHART_FAILED',
}

export function LoadStrategies(search='') {
    return Wait({type: Type.LoadStrategies, search});
}

export function LoadStrategiesSuccess(results) {
    return UnWait({type: Type.LoadStrategiesSuccess, results});
}

export function LoadStrategiesFailed() {
    return UnWait({type: Type.LoadStrategiesFailed});
}

// STRATEGY

export function CreateStrategy(groupId, name) {
    return {type: Type.CreateStrategy, groupId, name};
}

export function UpdateStrategy(id, orders, whatif) {
    return {type: Type.UpdateStrategy, id, orders, whatif};
}

export function DeleteStrategy(id) {
    return {type: Type.DeleteStrategy, id};
}

export function LoadStrategy(id) {
    return Wait({type: Type.LoadStrategy, id});
}

export function LoadStrategySuccess(strategy, profits) {
    return UnWait({type: Type.LoadStrategySuccess, strategy, profits});
}

export function LoadStrategyFailed(id) {
    return UnWait({type: Type.LoadStrategyFailed, id});
}

// STRATEGY CARD

export function ToggleStrategyCard(card, active) {
    return {type: Type.ToggleStrategyCard, card, active};
}

export function UpdateStrategyCard(card) {
    return {type: Type.UpdateStrategyCard, card};
}

// CHART

export function ToggleStrategyChart(id) {
    return {type: Type.ToggleStrategyChart, id};
}

export function LoadStrategyChart(id, chartId) {
    return Wait({type: Type.LoadStrategyChart, id, chartId});
}

export function LoadStrategyChartSuccess(id, chart, data) {
    return UnWait({type: Type.LoadStrategyChartSuccess, id, chart, data});
}

export function LoadStrategyChartFailed(id) {
    return UnWait({type: Type.LoadStrategyChartFailed, id});
}

const StrategyAction = {
    Type
};

export default StrategyAction;
